Create a customer
curl --request POST \
--url https://api.plexospay.com/v1/customers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"phone": "+2389001234",
"name": "<string>",
"email": "<string>",
"metadata": {}
}
'import requests
url = "https://api.plexospay.com/v1/customers"
payload = {
"phone": "+2389001234",
"name": "<string>",
"email": "<string>",
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({phone: '+2389001234', name: '<string>', email: '<string>', metadata: {}})
};
fetch('https://api.plexospay.com/v1/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "cu_abc123",
"phone": "+2389001234",
"name": "<string>",
"email": "<string>",
"metadata": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}Customers
Create a Customer
POST
/
v1
/
customers
Create a customer
Authorizations
API key starting with sk_live_ or sk_test_
Body
application/json
Example:
"+2389001234"
Mobile money operator
Available options:
CVMOVEL, UNITEL_TMAIS, MOCK ISO 3166-1 alpha-2 country code
Available options:
CV, AO Arbitrary key-value metadata (max 50 keys)
Response
200 - application/json
Customer created
Example:
"cu_abc123"
Example:
"+2389001234"
Mobile money operator
Available options:
CVMOVEL, UNITEL_TMAIS, MOCK ISO 3166-1 alpha-2 country code
Available options:
CV, AO Arbitrary key-value metadata (max 50 keys)
⌘I